/********************************************************/
/* Tipi di dato e funzioni per la gestione degli sprite */
/********************************************************/

#ifndef __SPRITEHEADER__
#define __SPRITEHEADER__

#include "GBASystem.h"

#define MAX_FRAMES 8

typedef struct _SpriteInfo{

   u8 width,//dimensioni dello sprite
      height;
   u8 h_tiles,//indica in numero di tiles di cui  composto
      v_tiles;
   u16 tileID[MAX_FRAMES];//indice della prima tile dello sprite
}SpriteInfo;

typedef struct _Sprite{

   SpriteInfo frames;//frames che compongono l'animazione dello sprite
   int16   x,//Posizione dello sprite nello schermo
            y;
}Sprite;

void DrawSprite(Sprite *s);//Desegna lo sprite su schermo

#endif